summaryrefslogtreecommitdiff
path: root/elf/tst-pathopt.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-10-30 00:13:29 +0000
committerUlrich Drepper <drepper@redhat.com>2000-10-30 00:13:29 +0000
commit5a384a9143afd73965e152cbbd13356b57d58c06 (patch)
tree9d8c5686a5509571361582d29afdf1fd97c32538 /elf/tst-pathopt.sh
parent775106de7d28eed0139f76d76e7b1aab15d352df (diff)
Update.
* elf/Makefile: Add rules to build and run tst-pathopt. * elf/tst-pathopt.c: New file. * elf/tst-pathopt.sh: New file. * elf/pathoptobj.c: New file.
Diffstat (limited to 'elf/tst-pathopt.sh')
-rwxr-xr-xelf/tst-pathopt.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/elf/tst-pathopt.sh b/elf/tst-pathopt.sh
new file mode 100755
index 0000000000..7a5c8f1e07
--- /dev/null
+++ b/elf/tst-pathopt.sh
@@ -0,0 +1,36 @@
+#! /bin/sh
+# Test lookup path optimization.
+# Copyright (C) 2000 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+#
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with the GNU C Library; see the file COPYING.LIB. If
+# not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+common_objpfx=$1
+run_program_prefix=$2
+
+test -e ${common_objpfx}elf/will-be-empty &&
+ rm -fr ${common_objpfx}elf/will-be-empty
+test -d ${common_objpfx}elf/for-renamed ||
+ mkdir ${common_objpfx}elf/for-renamed
+
+cp ${common_objpfx}elf/pathoptobj.so ${common_objpfx}elf/for-renamed/renamed.so
+
+LOCPATH=${common_objpfx}localedata GCONV_PATH=${common_objpfx}iconvdata \
+LC_ALL=C LD_LIBRARY_PATH=${common_objpfx}elf/will-be-empty:${common_objpfx}elf/for-renamed:${common_objpfx}.:${common_objpfx}dlfcn \
+ ${common_objpfx}elf/ld.so ${common_objpfx}elf/tst-pathopt \
+ > ${common_objpfx}elf/tst-pathopt.out
+
+exit $?